Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.document.io.newick
Class NewickStringChars

    java.lang.Object
      info.bioinfweb.treegraph.document.io.newick.NewickStringChars

Direct Known Subclasses:
  NewickScanner, NewickStringReader, NewickStringWriter

    public class NewickStringChars

extends java.lang.Object

Field Summary
`static char` | `COMMENT_END`
`static char` | `COMMENT_START`
`static char` | `ELEMENT_SEPERATOR`
`static char` | `FREE_NAME_BLANK`
`static char` | `LENGTH_SEPERATOR`
`static char` | `NAME_DELIMITER`
`static char` | `SUBTREE_END`
`static char` | `SUBTREE_START`
`static char` | `TERMINAL_SYMBOL`

Constructor Summary
`NewickStringChars()`

Method Summary
`static boolean` | `isCharAfterLength(char c)`
`static boolean` | `isFreeNameChar(char c)`
`static boolean` | `isFreeNameFirstChar(char c)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SUBTREE_START

    public static final char SUBTREE_START

See Also:
  Constant Field Values

### SUBTREE_END

    public static final char SUBTREE_END

See Also:
  Constant Field Values

### NAME_DELIMITER

    public static final char NAME_DELIMITER

See Also:
  Constant Field Values

### LENGTH_SEPERATOR

    public static final char LENGTH_SEPERATOR

See Also:
  Constant Field Values

### ELEMENT_SEPERATOR

    public static final char ELEMENT_SEPERATOR

See Also:
  Constant Field Values

### TERMINAL_SYMBOL

    public static final char TERMINAL_SYMBOL

See Also:
  Constant Field Values

### COMMENT_START

    public static final char COMMENT_START

See Also:
  Constant Field Values

### COMMENT_END

    public static final char COMMENT_END

See Also:
  Constant Field Values

### FREE_NAME_BLANK

    public static final char FREE_NAME_BLANK

See Also:
  Constant Field Values

Constructor Detail

### NewickStringChars

    public NewickStringChars()

Method Detail

### isFreeNameChar

    public static boolean isFreeNameChar(char c)

### isFreeNameFirstChar

    public static boolean isFreeNameFirstChar(char c)

### isCharAfterLength

    public static boolean isCharAfterLength(char c)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD